// =====================================================================
//  $Id: imemory.cc,v 1.1.1.1 2003/06/27 02:56:41 goiwai Exp $
//  $Name: CLDAQ-1-06-02 $
// =====================================================================
#include "TDataRecord.hh"
#include "TInputObjectSharedMemory.hh"
#include "TBenchmark.hh"

int main( int argc, char** argv, char** envv )
{
  TInputObjectSharedMemory imemory;

  TDataRecord record;
  TBenchmark bench;
  bench.Start();
  while ( 1 ) {
    imemory >> record;
    if ( imemory.IsReadSuccess() ) {
      Tcout << record << Tendl;
    } else {
      sleep( 1 );
    }
  }
  bench.Stop();
  Tcout << bench << Tendl;

  return( 0 );
}
